Skip to main content
POST
/
track
cURL
curl --request POST \
  --url https://api.unifyintent.com/analytics/v1/track \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "track",
  "visitorId": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "context": {
    "library": {
      "name": "<string>",
      "version": "<string>"
    },
    "ip": "127.0.0.1",
    "locale": "<string>",
    "userAgent": "<string>",
    "userAgentData": {
      "brands": [
        {
          "brand": "<string>",
          "version": "<string>"
        }
      ],
      "mobile": true,
      "platform": "<string>"
    },
    "utm": {
      "source": "<string>",
      "medium": "<string>",
      "campaign": "<string>",
      "term": "<string>",
      "content": "<string>"
    }
  },
  "name": "<string>",
  "sessionId": "<string>",
  "sentAt": "2023-11-07T05:31:56Z",
  "properties": {
    "path": "<string>",
    "query": {},
    "referrer": "<string>",
    "title": "<string>",
    "url": "<string>"
  }
}
'

Body

application/json

A track event represents a custom action or activity performed by a visitor.

type
enum<string>
required

The type of analytics event being sent.

Available options:
track
visitorId
string
required

Unique identifier for the visitor that triggered this event.

timestamp
string<date-time>
required

Timestamp of the event (in UTC).

context
object
required

Contextual information about the client behind the event.

name
string
required

Name of the event that was tracked.

sessionId
string

Unique identifier for the session in which this event occurred.

sentAt
string<date-time>

Timestamp at which the request is sent (in UTC).

Typically, this value is nearly identical to timestamp. However in some situations there is latency between when the event occurs and when it is sent to Unify.

properties
object

Details about the event that was tracked.

Response

The request has succeeded.